# SaveLoadFormat Struct Reference

The format for a reader/writer type of a savegame. More...

## Data Fields
const char * | name
| name of the compressor/decompressor (debug-only)
uint32 | tag
| the 4-letter tag by which it is identified in the savegame
bool(* | init_read )()
| function executed upon initalization of the loader
ReaderProc * | reader
| function that loads the data from the file
void(* | uninit_read )()
| function executed when reading is finished
bool(* | init_write )()
| function executed upon intialization of the saver
WriterProc * | writer
| function that saves the data to the file
void(* | uninit_write )()
| function executed when writing is done

## Detailed Description

The format for a reader/writer type of a savegame.

Definition at line 1469 of file saveload.cpp.

The documentation for this struct was generated from the following file:

- src/saveload/saveload.cpp